public class Inventory {
    public static final String CREATE_INVENTORY= "https://jobapi.tasq.com.au/api/Item/CreateInventory";
    public static final String EDIT_INVENTORY = "https://jobapi.tasq.com.au/api/Item/EditInventory";
    public static final String DELETE_INVENTORY = "https://jobapi.tasq.com.au/api/Item/DeleteInventory";
    public static final String IMPORT_INVENTORY = "https://jobapi.tasq.com.au/api/Item/ImportInventory";
    public static final String GET_INVENTORY = "https://jobapi.tasq.com.au/api/Item/GetInventoryList?Jsonlogin={\"LoginName\":\"testapi@tasq.com.au\",\"ClientIP\":null,\"Password\":\"test123.\",\"MobileDeviceToken\":null,\"WebApiTOKEN\":\"b3b777b0-c7af-458d-be64-b3d6d760177f\"}";

    public static void main(String[] args) {
        GetInventoryList(GET_INVENTORY);
        //Create
        CreateInventory(Constant.CREATE_INVENTORY_JSON);
        //Edit
        EditInventory(Constant.EDIT_INVENTORY_JSON);
        //Delete
        DeleteInventory(Constant.DELETE_INVENTORY_JSON);
        //Import
        ImportInventory(Constant.IMPORT_INVENTORY_JSON);
    }

    private static void CreateInventory(String json) {
        HttpManager.doPost(json, CREATE_INVENTORY);
    }

    private static void EditInventory(String json) {
        HttpManager.doPost(json, EDIT_INVENTORY);
    }

    private static void DeleteInventory(String json) {
        HttpManager.doPost(json, DELETE_INVENTORY);
    }

    private static void ImportInventory(String json) {
        HttpManager.doPost(json, IMPORT_INVENTORY);
    }

    private static void GetInventoryList(String path) {
        HttpManager.doGet(path);
    }
}
